=head1 NAME

Gtk2::HSV - wrapper for GtkHSV

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::HSV



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut

=for object Gtk2::HSV
=cut




=head1 METHODS

=head2 widget = Gtk2::HSV-E<gt>B<new> 

=head2 (h, s, v) = $hsv-E<gt>B<get_color> 

=head2 $hsv-E<gt>B<set_color> ($h, $s, $v)

=over

=item * $h (double) 

=item * $s (double) 

=item * $v (double) 

=back

=head2 (r, g, b) = Gtk2::hsv_to_rgb ($h, $s, $v)

=over

=item * $h (double) 

=item * $s (double) 

=item * $v (double) 

=back



=head2 boolean = $hsv-E<gt>B<is_adjusting> 

=head2 (size, ring_width) = $hsv-E<gt>B<get_metrics> 

=head2 $hsv-E<gt>B<set_metrics> ($size, $ring_width)

=over

=item * $size (integer) 

=item * $ring_width (integer) 

=back

=head2 (h, s, v) = Gtk2::rgb_to_hsv ($r, $g, $b)

=over

=item * $r (double) 

=item * $g (double) 

=item * $b (double) 

=back





=cut


=head1 SIGNALS

=over

=item B<changed> (Gtk2::HSV)

=item B<move> (Gtk2::HSV, Gtk2::DirectionType)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::DirectionType

=over

=item * 'tab-forward' / 'GTK_DIR_TAB_FORWARD'

=item * 'tab-backward' / 'GTK_DIR_TAB_BACKWARD'

=item * 'up' / 'GTK_DIR_UP'

=item * 'down' / 'GTK_DIR_DOWN'

=item * 'left' / 'GTK_DIR_LEFT'

=item * 'right' / 'GTK_DIR_RIGHT'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

